Project: Wordpress Plugin WooCommerce Product Feed Manager 4.2

Vulnerability: #9253364 (2019-10-08 06:42:56)

Warning

There are many false positives, or unexploitable vulnerabilities. Please create working "PoC" exploit before reporting anything to vendor!

Details:

Sink PHP::include
Risk _ENV
/home/redeemer/phpsourcerer/src/PhpSourcerer/Simulator/Stubs/Standard.php:110 (show/hide source)
Threat level 0

Callstack:

@INLINE::/best-woocommerce-feed/vendor/johnbillion/extended-cpts/tests/phpunit/includes/bootstrap.php /best-woocommerce-feed/vendor/johnbillion/extended-cpts/tests/phpunit/includes/bootstrap.php:13 (show/hide source)
1  <?php
2  
3  $_tests_dir = getenv('WP_TESTS_DIR');
4  if ( !$_tests_dir ) $_tests_dir = '/tmp/wordpress-tests-lib';
5  
6  require_once $_tests_dir . '/includes/functions.php';
7  
8  function _manually_load_plugin() {
9  	require dirname( dirname( dirname( dirname( __FILE__ ) ) ) ) . '/extended-cpts.php';
10  }
11  tests_add_filter( 'muplugins_loaded', '_manually_load_plugin' );
12  
13 require $_tests_dir . '/includes/bootstrap.php';
14 15 require dirname( dirname( dirname( __DIR__ ) ) ) . '/vendor/autoload.php';